<?
   /* Скрипт для сохранения файла.

    * Автор: Матвеева П. А.
    * Дата создания: 11.04.2006
    * Дата последнего изменения: 18.05.2006
    *
    */

//получаем переданный параметр
//имя файла, который необходимо сохранить
$file=$_GET['namef'];

header('Content-Description: File Transfer'); 
header('Content-Type: application/force-download'); 
header('Content-Length: ' . filesize($file)); 
header('Content-Disposition: attachment; filename=' . basename($file)); 

//echo "<META HTTP-EQUIV='Refresh' CONTENT='0; URL=$file'> "; 

readfile($file);


?>
